
-- ----------------------------
2023-02-26
-- ----------------------------
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `matterId` bigint(20)      COMMENT '事项id' AFTER orderId;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `matterName` varchar(2048) default ''     COMMENT '事项名称' AFTER matterId;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `matterCode` varchar(255) default ''     COMMENT '事项编码' AFTER matterName;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `deviceCode` varchar(255) default ''     COMMENT '设备编码' AFTER matterCode;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `deviceName` varchar(255) default ''     COMMENT '设备名称' AFTER deviceCode;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `idCard` varchar(64) default ''     COMMENT '身份证号' AFTER deviceName;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `idName` varchar(64) default ''     COMMENT '身份证名称' AFTER idCard;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `mobile` varchar(64) default ''     COMMENT '手机号码' AFTER idName;


-- ----------------------------
2023-03-22
-- ----------------------------
INSERT INTO `mortals_xhx_task` (`id`, `name`, `taskKey`, `status`, `excuteService`, `excuteParam`, `excuteHost`, `excuteStrategy`, `excuteDate`, `excuteTime`, `remark`, `lastExcuteHost`, `lastExcuteTime`, `interimExcuteStatus`, `createTime`, `createUserId`, `createUserName`) VALUES ('4', '同步设备', 'SyncSiteDeviceTask', '0', 'SyncSiteDeviceTask', NULL, NULL, '4', '120', '00:00', NULL, '127.0.1.1', '2023-02-26 22:15:59', '0', '2023-02-25 14:34:12', '1', NULL);


    -- ----------------------------
2023-06-21
-- ----------------------------
ALTER TABLE mortals_xhx_device
    ADD COLUMN `deviceFirmId` bigint(20) DEFAULT NULL COMMENT '设备生产厂商ID' AFTER siteName;
ALTER TABLE mortals_xhx_device
    ADD COLUMN `deviceFirmname` varchar(200) DEFAULT NULL COMMENT '设备生产厂商名称' AFTER deviceFirmId;

ALTER TABLE mortals_xhx_device
    ADD COLUMN `ip` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '设备访问ip' AFTER deviceFirmname;

ALTER TABLE mortals_xhx_device
    ADD COLUMN `port` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '端口' AFTER ip;
ALTER TABLE mortals_xhx_device
    ADD COLUMN `enabled` tinyint(2) DEFAULT NULL COMMENT '启用状态 (0.停止，1.启用)' AFTER port;
ALTER TABLE mortals_xhx_device
    ADD COLUMN `onlineTime` datetime DEFAULT NULL COMMENT '最近上线时间' AFTER enabled;
ALTER TABLE mortals_xhx_device
    ADD COLUMN `offlineTime` datetime DEFAULT NULL COMMENT '最近离线时间' AFTER onlineTime;

-- ----------------------------
2024-01-15
-- ----------------------------

ALTER TABLE mortals_xhx_device
    ADD COLUMN `belong` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '所属机构' AFTER deviceRemark;



ALTER TABLE mortals_xhx_device
    ADD COLUMN `deviceInBuilding` tinyint(4)      COMMENT '所属楼栋';

ALTER TABLE mortals_xhx_device
    ADD COLUMN `deviceInFloor` tinyint(4)      COMMENT '所属楼层';

ALTER TABLE mortals_xhx_device
    ADD COLUMN  `resolution` varchar(255)      COMMENT '分辨率';


-- ----------------------------
2024-04-24
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_datum_info_field`;
CREATE TABLE `mortals_xhx_datum_info_field` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
    `datum_print_id` bigint(20) DEFAULT NULL COMMENT '填单打印id',
    `idCard` varchar(64) DEFAULT '' COMMENT '身份证号',
    `fieldCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '字段编码',
    `fieldName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '字段名称',
    `fieldType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,checkbox.多项选择框）',
    `fieldTypeValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '' COMMENT '字段类型值，当字段类型为多选，单选时候，预设复选值',
    `dataType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '数据类型（number.数字,string.字符串,arrays.数组,obj.对象）',
    `fieldValue` text CHARACTER SET utf8 COLLATE utf8_general_ci COMMENT '字段值',
    `defaultValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '' COMMENT '字段默认值',
    `fieldLen` int(9) DEFAULT NULL COMMENT '数据长度，默认128',
    `fieldNull` tinyint(2) DEFAULT NULL COMMENT '是否允许为空，(0.否,1.是)',
    `isList` tinyint(2) DEFAULT NULL COMMENT '字段是否列表显示(0.否,1.是)',
    `fieldOrderNo` int(9) DEFAULT NULL COMMENT '排序号',
    `remark` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '备注',
    `createTime` datetime DEFAULT NULL COMMENT '创建时间',
    `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
    `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
    `updateUserId` bigint(20) DEFAULT NULL COMMENT '修改用户',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='填单用户信息字段';



-- ----------------------------
-- 2025-02-11
-- ----------------------------

-- ----------------------------
-- 应用列表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_app_config`;
CREATE TABLE mortals_xhx_app_config(
       `id` bigint(20)   AUTO_INCREMENT   COMMENT '主键，自增长',
       `siteId` bigint(20)      COMMENT '站点ID',
       `siteName` varchar(64)      COMMENT '站点名称',
       `siteCode` varchar(64)      COMMENT '站点编号',
       `appId` bigint(20)      COMMENT '应用ID',
       `appCode` varchar(64)      COMMENT '应用编码',
       `appName` varchar(64)      COMMENT '应用名称',
       `order` int(9)      COMMENT '应用顺序',
       `createTime` datetime      COMMENT '创建时间',
       `createUserId` bigint(20)      COMMENT '创建用户',
       `updateTime` datetime      COMMENT '修改时间',
       PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='应用';

-- ----------------------------
-- 2025-06-11
-- ----------------------------

ALTER TABLE `mortals_xhx_datum_info_field`
ADD COLUMN `openId` varchar(64) DEFAULT NULL COMMENT '微信openid',
ADD COLUMN `mobile` varchar(64) DEFAULT NULL COMMENT '手机号码',
ADD COLUMN `datumPrintId` bigint(20) DEFAULT NULL COMMENT '填单打印id',
ADD COLUMN `matterId` bigint(20) DEFAULT NULL COMMENT '事项id',
ADD COLUMN `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
ADD COLUMN `materialId` bigint(20) DEFAULT NULL COMMENT '材料id',
ADD COLUMN `materialName` varchar(1024) DEFAULT NULL COMMENT '材料名称';

CREATE TABLE `mortals_xhx_user_fill_history` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `openId` varchar(64) DEFAULT NULL COMMENT '微信openid',
  `idCard` varchar(64) DEFAULT NULL COMMENT '身份证号码',
  `mobile` varchar(64) DEFAULT NULL COMMENT '手机号码',
  `matterId` bigint(20) DEFAULT NULL COMMENT '事项id',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `materialId` bigint(20) DEFAULT NULL COMMENT '材料id',
  `materialName` varchar(1024) DEFAULT NULL COMMENT '材料名称',
  `preViewPath` varchar(256) DEFAULT NULL COMMENT '预览地址',
  `formContent` mediumtext COMMENT '提交的表单',
  `docPath` varchar(256) DEFAULT NULL COMMENT '合成doc后地址',
  `formValue` text COMMENT '表单值',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`),
  KEY `id` (`id`) USING BTREE,
  KEY `openId` (`openId`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='用户填单记录';

CREATE TABLE `mortals_xhx_search_history` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `openId` varchar(64) DEFAULT NULL COMMENT '微信openid',
  `idCard` varchar(64) DEFAULT NULL COMMENT '身份证号码',
  `mobile` varchar(64) DEFAULT NULL COMMENT '手机号码',
  `content` varchar(256) DEFAULT NULL COMMENT '搜索内容',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`),
  KEY `id` (`id`) USING BTREE,
  KEY `openId` (`openId`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8 COMMENT='用户搜索历史记录';

-- ----------------------------
-- 材料填单二维码表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_datum_fill_qrcode`;
CREATE TABLE `mortals_xhx_datum_fill_qrcode` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `datumId` bigint(20)DEFAULT NULL COMMENT '材料id',
  `qrcode` varchar(256) DEFAULT NULL COMMENT '二维码存储地址',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`),
  KEY `id` (`id`) USING BTREE,
  KEY `datumId` (`datumId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='材料填单二维码';



-- ----------------------------
-- 2025-02-11
-- ----------------------------

-- ----------------------------
-- 应用列表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_app_config`;
CREATE TABLE mortals_xhx_app_config(
   `id` bigint(20)   AUTO_INCREMENT   COMMENT '主键，自增长',
   `siteId` bigint(20)      COMMENT '站点ID',
   `siteName` varchar(64)      COMMENT '站点名称',
   `siteCode` varchar(64)      COMMENT '站点编号',
   `appId` bigint(20)      COMMENT '应用ID',
   `appCode` varchar(64)      COMMENT '应用编码',
   `appName` varchar(64)      COMMENT '应用名称',
   `order` int(9)      COMMENT '应用顺序',
   `createTime` datetime      COMMENT '创建时间',
   `createUserId` bigint(20)      COMMENT '创建用户',
   `updateTime` datetime      COMMENT '修改时间',
   PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='应用列';




-- ----------------------------
-- 角色权限改造 2025-04-23
-- ----------------------------
-- ----------------------------
-- 资源信息业务表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_resource`;
CREATE TABLE mortals_xhx_resource(
     `id` bigint(20)   AUTO_INCREMENT   COMMENT '菜单ID，主键，自增长',
     `name` varchar(50)      COMMENT '名称',
     `groupName` varchar(255)      COMMENT '分组名称',
     `url` varchar(2000)      COMMENT '连接地址，多个地址以逗号分隔',
     `authType` tinyint(2)    DEFAULT '3'  COMMENT '权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)',
     `sourceType` tinyint(2)    DEFAULT '0'  COMMENT '资源类型，(0.系统资源，1.开放资源)',
     `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
     `createUserName` varchar(50)      COMMENT '创建用户名称',
     `createTime` datetime NOT NULL     COMMENT '创建时间',
     `updateUserId` bigint(20)      COMMENT '更新用户',
     `updateUserName` varchar(50)      COMMENT '创建用户名称',
     `updateTime` datetime      COMMENT '更新时间',
     PRIMARY KEY  (`id`),
     INDEX `idx_name`(`name`) USING BTREE,
     INDEX `idx_groupName`(`groupName`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='资源信息业务';


-- ----------------------------
-- 角色信息业务表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role`;
CREATE TABLE mortals_xhx_role(
     `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
     `name` varchar(50)      COMMENT '角色名称',
     `remark` varchar(200)      COMMENT '备注',
     `roleType` tinyint(2)    DEFAULT '2'  COMMENT '角色类型 (0.系统内置角色,1.默认系统角色.2.普通角色)',
     `customerId` bigint(20)      COMMENT '归属客户ID',
     `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
     `createUserName` varchar(50)      COMMENT '创建用户名称',
     `createTime` datetime NOT NULL     COMMENT '创建时间',
     `updateUserId` bigint(20)      COMMENT '更新用户',
     `updateUserName` varchar(50)      COMMENT '创建用户名称',
     `updateTime` datetime      COMMENT '更新时间',
     PRIMARY KEY  (`id`),
     INDEX `idx_name`(`name`) USING BTREE,
     INDEX `idx_roleType`(`roleType`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色信息业务';

-- ----------------------------
-- 角色资源权限业务表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_auth`;
CREATE TABLE mortals_xhx_role_auth(
  `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
  `roleId` bigint(20)      COMMENT '角色ID',
  `menuId` bigint(20)      COMMENT '菜单ID',
  `resourceId` bigint(20)      COMMENT '资源ID',
  `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
  `createUserName` varchar(50)      COMMENT '创建用户名称',
  `createTime` datetime NOT NULL     COMMENT '创建时间',
  `updateUserId` bigint(20)      COMMENT '更新用户',
  `updateUserName` varchar(50)      COMMENT '创建用户名称',
  `updateTime` datetime      COMMENT '更新时间',
  PRIMARY KEY  (`id`),
  INDEX `idx_roleId`(`roleId`) USING BTREE,
  INDEX `idx_menuId`(`menuId`) USING BTREE,
  INDEX `resourceId` (`resourceId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色资源权限业务';


-- ----------------------------
-- 角色用户业务表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_user`;
CREATE TABLE mortals_xhx_role_user(
  `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
  `roleId` bigint(20)      COMMENT '角色ID',
  `userId` bigint(20)      COMMENT '用户ID',
  `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
  `createUserName` varchar(50)      COMMENT '创建用户名称',
  `createTime` datetime NOT NULL     COMMENT '创建时间',
  `updateUserId` bigint(20)      COMMENT '更新用户',
  `updateUserName` varchar(50)      COMMENT '创建用户名称',
  `updateTime` datetime      COMMENT '更新时间',
  PRIMARY KEY  (`id`),
  INDEX `idx_roleId`(`roleId`) USING BTREE,
  INDEX `idx_userId`(`userId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色用户业务';


DROP TABLE IF EXISTS `mortals_xhx_menu`;
CREATE TABLE mortals_xhx_menu(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '菜单ID，主键，自增长',
    `name` varchar(50)      COMMENT '菜单名称',
    `url` varchar(256)      COMMENT '路由地址',
    `ancestors` varchar(255)      COMMENT '当前节点父id路径，“，”分割',
    `parentId` bigint(20)      COMMENT '父菜单ID，一级菜单的该字段值为-1',
    `linkType` tinyint(2)    DEFAULT '0'  COMMENT '链接方式 (0.普通，1.弹出，2.脚本)',
    `imgPath` varchar(128)      COMMENT '主菜单图标，主菜单图标的css样式名',
    `buttonImgPath` varchar(128)      COMMENT '按钮图标，按钮图标的css样式名',
    `imgCommPath` varchar(128)      COMMENT '常用菜单图标，常用菜单图标的css样式名',
    `commMenu` tinyint(2)    DEFAULT '1'  COMMENT '是否常用菜单 (0.非常用，1.常用)',
    `component` varchar(128)      COMMENT 'vue组件路径',
    `menuType` tinyint(2)    DEFAULT '0'  COMMENT '菜单类型 (0.目录，1.菜单，2.按钮)',
    `authType` tinyint(2)    DEFAULT '3'  COMMENT '权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)',
    `visible` tinyint(2)    DEFAULT '0'  COMMENT '菜单显示状态 (0.显示，1.隐藏)',
    `perms` varchar(128)      COMMENT '权限标识，多个逗号分割',
    `orderId` int(4)      COMMENT '排序编号',
    `status` tinyint(2)    DEFAULT '1'  COMMENT '菜单状态 (0.停用，1.启用)',
    `cache` tinyint(2)    DEFAULT '0'  COMMENT '是否启用缓存 (0.否，1.是)',
    `activeDir` varchar(128)      COMMENT '激活目录',
    `resourceUrl` varchar(512)      COMMENT '资源访问路径，多个逗号分割',
    `hideChildrenInMenu` tinyint(2)    DEFAULT '0'  COMMENT '是否隐藏(0.否，1.是)',
    `remark` varchar(512)      COMMENT '备注信息',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建用户',
    `createUserName` varchar(50)      COMMENT '创建用户名称',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateUserName` varchar(50)      COMMENT '创建用户名称',
    `updateTime` datetime      COMMENT '更新时间',
     PRIMARY KEY  (`id`),
    INDEX `idx_name`(`name`) USING BTREE,
    INDEX `idx_url`(`url`) USING BTREE,
    INDEX `idx_parentId`(`parentId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='菜单信息业务';



ALTER TABLE mortals_xhx_param ADD COLUMN   `updateUserId` bigint(20)      COMMENT '更新用户';
ALTER TABLE mortals_xhx_param ADD COLUMN    `updateUserName` varchar(50)      COMMENT '创建用户名称';
ALTER TABLE mortals_xhx_param ADD COLUMN    `updateTime` datetime      COMMENT '更新时间';