package com.mortals.xhx.module.datum.web;
import com.mortals.framework.annotation.RepeatSubmit;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.BaseEntity;
import com.mortals.framework.model.OrderCol;
import com.mortals.framework.service.IUser;
import com.mortals.framework.util.DataUtil;
import com.mortals.framework.util.SecurityImage;
import com.mortals.framework.utils.BeanUtil;
import com.mortals.framework.utils.ReflectUtils;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.login.service.GifSecurityImage;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.datum.model.DatumFillQrcodeQuery;
import lombok.Getter;
import org.apache.commons.io.IOUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.datum.model.DatumFillQrcodeEntity;
import com.mortals.xhx.module.datum.service.DatumFillQrcodeService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.awt.image.BufferedImage;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.*;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
import com.mortals.xhx.common.code.*;
/**
*
* 材料填单二维码
*
* @author zxfei
* @date 2025-06-12
*/
@RestController
@RequestMapping("datum/fill/qrcode")
public class DatumFillQrcodeController extends BaseCRUDJsonBodyMappingController<DatumFillQrcodeService,DatumFillQrcodeEntity,Long> {

    @Autowired
    private ParamService paramService;

    @Value("${upload.path}")
    @Getter
    private String filePath;

    public DatumFillQrcodeController(){
        super.setModuleDesc( "材料填单二维码");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }

    @PostMapping({"create"})
    @UnAuth
    public String create() {
        int code = 1;
        Thread thread = new Thread(new Runnable() {
            @Override
            public void run() {
                service.createQrcode();
            }
        });
        thread.start();
        JSONObject ret = new JSONObject();
        ret.put("code", code);
        ret.put("msg", "开始生成小程序二维码");
        return ret.toJSONString();
    }

    @GetMapping("image")
    @UnAuth
    public void qrcodeImage(HttpServletRequest request, HttpServletResponse response) throws IOException {
        String datumIdstr = request.getParameter("datumId");
        Long datumId = DataUtil.converStr2Long(datumIdstr,0L);
        DatumFillQrcodeQuery query = new DatumFillQrcodeQuery();
        query.setDatumId(datumId);
        query.setOrderColList(Arrays.asList(new OrderCol("createTime",OrderCol.DESCENDING)));
        DatumFillQrcodeEntity entity = service.selectOne(query);
        if(entity!=null){
            byte[] data = Files.readAllBytes(Paths.get(this.filePath + entity.getQrcode()));
            doResponseImage(response, data);
        }
    }

    protected void doResponseImage(HttpServletResponse response, byte[] content) {
        try {
            response.setHeader("Pragma", "No-cache");
            response.setHeader("Cache-Control", "No-cache");
            response.setDateHeader("Expires", 0);
            response.setContentType("image/gif");
            IOUtils.write(content, response.getOutputStream());
        } catch (Exception e) {
            log.error("小程序二维码图片传输异常-->" + e.getMessage());
        }
    }
}